# Retrieve a bill run preview Retrieves the bill run preview information with the given ID. Endpoint: GET /bill_run_previews/{bill_run_preview_id} Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values created_by_id, updated_by_id, created_time, id, updated_time, assume_renewal, charges_excluded, batches, target_date, state, number_of_accounts, number_of_accounts_succeeded, state_transitions, billing_preview_run_number, file, include_draft_items, include_evergreen_subscriptions Example: ["id,created_time"] - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorial for detailed instructions. Note that the filters on this operation are only applicable to the related objects. For example, when you are calling the "Retrieve a billing document" operation, you can use the filter[] parameter on the related objects such as filter[]=items[account_id].EQ:8ad09e208858b5cf0188595208151c63 - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `bill_run_preview.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values created_by_id, updated_by_id, created_time, id, updated_time, assume_renewal, charges_excluded, batches, target_date, state, number_of_accounts, number_of_accounts_succeeded, state_transitions, billing_preview_run_number, file, include_draft_items, include_evergreen_subscriptions Example: ["id,created_time"] ## Path parameters: - `bill_run_preview_id` (string, required) Identifier for the bill run preview. ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have Multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity or you do not have Multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. - `zuora-org-ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Response 200 fields (application/json): - `id` (string) Unique identifier for the object. - `updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `created_by_id` (string) Unique identifier of the Zuora user who created the object - `created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `custom_objects` (object) The custom objects associated with a Zuora standard object. - `assume_renewal` (string) Indicates whether to generate a preview of future invoice items and credit memo items with the assumption that the subscriptions are renewed. all: The assumption is applied to all the subscriptions. Zuora generates preview invoice item data and credit memo item data from the first day of the customer's next billing period to the target date. auto_renew_only: The assumption is applied to the subscriptions that have auto_renew enabled. Zuora generates preview invoice item data and credit memo item data from the first day of the customer's next billing period to the target date. Enum: "all", "auto_renew_only", "none" - `batches` (array) Identifiers of the customer account batches to be included in this bill run preview. - `charges_excluded` (array) Charge type or types to be excluded from this bill run preview. Enum: "one_time", "recurring", "usage" - `include_draft_items` (boolean) If true, draft items will be included in this bill run preview. - `include_evergreen_subscriptions` (boolean) If true, evergreen subscriptions will be included in this bill run preview. - `target_date` (string) All unbilled items on or before this date are included in this bill run. - `state_transitions` (object) The timestamps at which the object's state was updated. - `state_transitions.complete_time` (string) The time when the bill run preview completed. - `state_transitions.processing_start_time` (string) The time when the bill run preview started. - `file` (object) File containing the results of the bill run preview. - `file.url` (string) The URL from which a zipped CSV file may be downloaded. This file contains the preview invoice item data and credit memo item data for the specified customer accounts. - `billing_preview_run_number` (string) Human-readable identifier for this object. - `state` (string) The state of the bill run preview. Enum: "pending", "processing", "completed", "failed", "canceled" - `number_of_accounts_succeeded` (number) The number of the customer accounts whose bill run preview job succeeded. - `number_of_accounts` (number) The number of the customer accounts included in the bill run preview job. ## Response 400 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 401 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 404 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 405 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 429 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 500 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 502 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 503 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 504 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean)